%define upstream_name    Time-Period
%define upstream_version 1.25

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Time::Period module for perl
License:    GPL
Group:      Development/Perl
Url:        http://search.perl.com/dist/%{upstream_name}
Source0:    ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Provides:   perl-Period
Obsoletes:  perl-Period <= 1.200.0

%description
Period.pm is a Perl module that contains code to deal with time periods.
Currently, there is only a function in this module.  That function is
called inPeriod().

inPeriod() determines if a given time is within a given time period.
It will return 1 if it is, 0 if not, and -1 if either the time or the
period passed to it were malformed.  The time is specified in non-leap
year seconds past January 1, 1970, as per the time() function.  The period
is a string which is of the form described in Period's man page.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/Time/*
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.250.0-5.mga8
+ Revision: 1497858
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.250.0-4.mga7
+ Revision: 1272380
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.250.0-3.mga6
+ Revision: 1035314
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.250.0-2.mga6
+ Revision: 965737
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 1.250.0-1.mga6
+ Revision: 837075
- update to 1.25

* Wed Oct 15 2014 umeabot <umeabot> 1.240.0-4.mga5
+ Revision: 745605
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.240.0-3.mga5
+ Revision: 686703
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.240.0-2.mga4
+ Revision: 537506
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.240.0-1.mga4
+ Revision: 487124
- update to 1.24

* Sun Jan 13 2013 umeabot <umeabot> 1.230.0-2.mga3
+ Revision: 374356
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 28 2011 jquelin <jquelin> 1.230.0-1.mga1
+ Revision: 61442
- update to 1.23

* Sat Feb 26 2011 jquelin <jquelin> 1.220.0-1.mga1
+ Revision: 60424
- pkg rename + update to 1.22
- renamed upstream

* Thu Jan 20 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 26840
- mageia rebuild
- imported package perl-Period

